Subject: Re: Issue with Cygwin perl *** fatal error - fork: can't reserve memory for stack
From: Reini Urban <[email-masked]>
To: [email-masked]
Cc: Ramón García Fernández <[email-masked]>
Date: Fri, 2 Jul 2010 12:36:27 +0200
List-Id: <cygwin.cygwin.com>

2010/7/2 Ramón García Fernández <[email-masked]>:
> The cause was that the argument list was long. That is, a program invoked with a long argument list could not fork. Perhaps this behaviour could be improved.

I'll try if it's within perl. Before I see no problem with perl's
fork, but maybe it's elsewhere.

What is your openoffice ticket url for this problem?
With http://www.openoffice.org/servlets/ReadMsg?listName=allsvn&msgNo=9427

I see a possible problem in:
  my $command = "rebase " . $options_string;
where $options_string can get too large and the error message
should be improved.
I don't think perl has a test for argument length limits yet. I'll investigate.

If within the cygwin1.dll you have to be more specific were exactly.
A part of the strace of the failing rebase.pl call would help.

> On the other hand, I tried creating a junction point with linkd.exe so that I could use short names for the openoffice source tree. But this didn't work becase the configure script translated junction points, because cygpath translates them. Why? This is surprising. For example if c:\ooo is a junction to c:\Documents and settings\myuser\openoffice, why should cygpath -w /cygdrive/c/ooo return c:\Documents...\openoffice rather than c:\ooo? At least that translation should be optional.

This is a behaviour within the cygwin dll.
-- 
Reini Urban
http://phpwiki.org/           http://murbreak.at/

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple